org.eclipse.oomph.setup

## Interface AttributeRule

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    AttributeRuleImpl

      public interface AttributeRule
      extends ModelElement

  A representation of the model object 'Attribute Rule'.

  The following features are supported:

  - `Attribute URI`
  - `Value`
  See Also:
    `SetupPackage.getAttributeRule()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getAttributeURI()` Returns the value of the 'Attribute URI' attribute.
    `String` | `getValue()` Returns the value of the 'Value' attribute.
    `void` | `setAttributeURI(URI value)` Sets the value of the '`Attribute URI`' attribute.
    `void` | `setValue(String value)` Sets the value of the '`Value`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAttributeURI

          URI getAttributeURI()

      Returns the value of the 'Attribute URI' attribute.

      If the meaning of the 'Attribute URI' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Attribute URI' attribute.
      See Also:
        `setAttributeURI(URI)`, `SetupPackage.getAttributeRule_AttributeURI()`
      Generated
      Model
        dataType="org.eclipse.oomph.base.URI"

    - #### setAttributeURI

          void setAttributeURI(URI value)

      Sets the value of the '`Attribute URI`' attribute.
      Parameters:
        `value` - the new value of the 'Attribute URI' attribute.
      See Also:
        `getAttributeURI()`
      Generated

    - #### getValue

          String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `SetupPackage.getAttributeRule_Value()`
      Generated
      Model
        required="true"

    - #### setValue

          void setValue(String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html